package trmpj.res;

import java.util.HashSet;
import java.util.Set;

import trmpj.TRes;
import trmpj.TUser;

/**
 * サーバから送信するデータ - prepare
 * @author furuta
 *
 */
public class TResPrepare extends TRes {

    /**
     * コンストラクタ
     */
    public TResPrepare() {
        command = TRes.COMMAND_PREPARE;
        users = new HashSet<TUser>();
    }

    /**
     * ゲームタイプ
     */
    public int type;

    /**
     * カードの配布の種
     */
    public int seed;

    /**
     * ユーザ情報のset
     */
    public Set<TUser> users;
}
